# class DBus::Data::Double

Double-precision floating point number.

### Constants

FORMAT

### Public Class Methods

alignment() click to toggle source

        # File lib/dbus/data.rb
    380 def self.alignment
    381   8
    382 end

format() click to toggle source

        # File lib/dbus/data.rb
    385 def self.format
    386   FORMAT
    387 end

new(value) click to toggle source

@param value [#to_f,DBus::Data::Double] @raise TypeError,ArgumentError

Calls superclass method `DBus::Data::Base::new`

        # File lib/dbus/data.rb
    391 def initialize(value)
    392   value = value.value if value.is_a?(self.class)
    393   value = Kernel.Float(value)
    394   super(value)
    395 end

type_code() click to toggle source

        # File lib/dbus/data.rb
    376 def self.type_code
    377   "d"
    378 end